Bug 812599 - [abrt] radiotray-0.7.1-1.fc16: AudioPlayerGStreamer.py:45:__init__:ElementNotFoundError: fakesink
[abrt] radiotray-0.7.1-1.fc16: AudioPlayerGStreamer.py:45:__init__:ElementNot...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: radiotray (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jean-Francois Saucier
Fedora Extras Quality Assurance
abrt_hash:dcc9dc4ae5980105229d68ece66...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 06:26 EDT by unix63
Modified: 2013-02-13 10:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:21:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description unix63 2012-04-15 06:26:23 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/radiotray
event_log:      2012-04-15-20:25:46> Smolt profile successfully saved
executable:     /usr/bin/radiotray
kernel:         3.3.1-5.fc16.x86_64
reason:         AudioPlayerGStreamer.py:45:__init__:ElementNotFoundError: fakesink
time:           Sun 15 Apr 2012 08:24:07 PM EST
uid:            1000
username:       andrew

backtrace:
:AudioPlayerGStreamer.py:45:__init__:ElementNotFoundError: fakesink
:
:Traceback (most recent call last):
:  File "/usr/bin/radiotray", line 15, in <module>
:    radiotray.main(sys.argv[1:])
:  File "/usr/lib/python2.7/site-packages/radiotray/radiotray.py", line 36, in main
:    RadioTray()
:  File "/usr/lib/python2.7/site-packages/radiotray/RadioTray.py", line 72, in __init__
:    self.audio = AudioPlayerGStreamer(self.mediator, self.cfg_provider, eventManager)
:  File "/usr/lib/python2.7/site-packages/radiotray/AudioPlayerGStreamer.py", line 45, in __init__
:    fakesink = gst.element_factory_make("fakesink", "fakesink")
:ElementNotFoundError: fakesink
:
:Local variables in innermost frame:
:eventManager: <radiotray.events.EventManager.EventManager instance at 0x1f355f0>
:cfg_provider: <radiotray.XmlConfigProvider.XmlConfigProvider instance at 0x1f35560>
:self: <radiotray.AudioPlayerGStreamer.AudioPlayerGStreamer instance at 0x1f358c0>
:mediator: <radiotray.StateMediator.StateMediator object at 0x1f31c10>

smolt_data:
:
:
:General
:=================================
:UUID: 8eee0c1b-f2e1-4caa-af01-33b4c7b556b4
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4790.81
:CPU Vendor: AuthenticAMD
:CPU Model: AMD A8-3800 APU with Radeon(tm) HD Graphics
:CPU Stepping: 0
:CPU Family: 18
:CPU Model Num: 1
:Number of CPUs: 4
:CPU Speed: 2400
:System Memory: 5958
:System Swap: 2999
:Vendor: Hewlett-Packard
:System: p6-2040a 
:Form factor: Desktop
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:30721:4156:10959) pci, ahci, STORAGE, Hudson SATA Controller [AHCI mode]
:(4318:3592:6922:37034) pci, snd_hda_intel, MULTIMEDIA, HDMI Audio stub
:(4130:5893:4130:5893) pci, None, HOST/PCI, Family 12h Processor Root Complex
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4332:33128:4156:10959) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4130:5895:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:30731:4156:10959) pci, piix4_smbus, SERIAL, Hudson SMBus Controller
:(4130:30734:4156:10959) pci, None, PCI/ISA, Hudson LPC Bridge
:(4130:30733:4156:10959) pci, snd_hda_intel, MULTIMEDIA, Hudson Azalia Controller
:(4130:30729:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30735:0:0) pci, None, PCI/PCI, Hudson PCI Bridge
:(4130:30726:4130:30726) pci, sdhci-pci, BASE, Hudson SD Flash Controller
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4318:4160:6922:37034) pci, nvidia, VIDEO, N/A
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:30728:4156:10959) pci, ehci_hcd, USB, Hudson USB EHCI Controller
:(4130:30727:4156:10959) pci, ohci_hcd, USB, Hudson USB OHCI Controller
:(4130:5897:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:(4130:5898:4130:4660) pci, pcieport, PCI/PCI, Family 12h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 243065852 219606483 217174458 60825600 60646530 60646530
:/dev/sda1 /boot ext4 1024 1024 508745 458121 432521 128016 127788 127788
:
Comment 1 Fedora End Of Life 2013-01-16 09:22:34 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 10:21:16 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.